Bug 62417 - The postmaster daemon cannot start by "/etc/rc.d/init.d/postgresql restart".
Summary: The postmaster daemon cannot start by "/etc/rc.d/init.d/postgresql restart".
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-31 15:51 UTC by Yasuhiro SUMI
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-31 15:51:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yasuhiro SUMI 2002-03-31 15:51:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; T312461)

Description of problem:
If the postmaster daemon has stopped, the postmastar daemon will not start 
by "/etc/rc.d/init.d/postgresql restart".

Version-Release number of selected component (if applicable):
postgresql-7.1.3-2

How reproducible:
Always

Steps to Reproduce:
1. # /etc/rc.d/init.d/postgresql status
   postgresql is stopped.
2. # /etc/rc.d/init.d/postgresql restart
3. # /etc/rc.d/init.d/postgresql status
   postgresql is stopped.


Additional info:

This problem was solved by following patch.

*** postgresql.orig     Mon Apr  1 00:19:33 2002
--- postgresql  Mon Apr  1 00:19:55 2002
***************
*** 164,170 ****
        if [ "$pid" == "" ]; then
            rm -f /var/run/postmaster.pid
            rm -f /var/lock/subsys/postgresql
!           exit 0;
        fi
        echo -n $"Stopping postgresql service: "
        # Check for older PGDATA location.
--- 164,170 ----
        if [ "$pid" == "" ]; then
            rm -f /var/run/postmaster.pid
            rm -f /var/lock/subsys/postgresql
!           return;
        fi
        echo -n $"Stopping postgresql service: "
        # Check for older PGDATA location.

Comment 1 Trond Eivind Glomsrxd 2002-04-01 19:30:53 UTC
Fixed in newer version, like 7.2.1-2


Note You need to log in before you can comment on or make changes to this bug.